classification
Title: AsyncGenerator is missing from typing
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Jelle Zijlstra, berker.peksag, gvanrossum, levkivskyi, python-dev, yselivanov
Priority: normal Keywords: patch

Created on 2017-01-07 21:37 by Jelle Zijlstra, last changed 2017-02-04 07:00 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
asyncgenerator.patch Jelle Zijlstra, 2017-01-07 21:37 doc patch for typing.AsyncGenerator review
asyncgenerator2.patch Jelle Zijlstra, 2017-01-08 01:34 fixes indentation (thanks Berker Peksag for reviewing), add version added tag review
asyncgenerator3.patch Jelle Zijlstra, 2017-01-09 00:12 takes out the unrelated indentation change review
typingindentation.patch Jelle Zijlstra, 2017-01-09 00:12 fixes indentation throughout typing.rst review
Messages (9)
msg284937 - (view) Author: Jelle Zijlstra (Jelle Zijlstra) * (Python triager) Date: 2017-01-07 21:37
PEP 525 async generators weren't added to typing.py, probably by oversight.

I sent pull requests to typing and typeshed on GitHub to add an AsyncGenerator class and stub:
- https://github.com/python/typing/pull/346
- https://github.com/python/typeshed/pull/815

However, typing docs are not in GitHub, so I'm attaching a doc patch here.
msg285754 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-01-18 21:11
New changeset 87e8139420ed by Guido van Rossum in branch '3.5':
Issue #29198: add AsyncGenerator (Jelle Zijlstra)
https://hg.python.org/cpython/rev/87e8139420ed

New changeset 5b771c662c00 by Guido van Rossum in branch '3.6':
Issue #29198: add AsyncGenerator (Jelle Zijlstra) (3.5->3.6)
https://hg.python.org/cpython/rev/5b771c662c00

New changeset 07523532039d by Guido van Rossum in branch 'default':
Issue #29198: add AsyncGenerator (Jelle Zijlstra) (3.6->3.7)
https://hg.python.org/cpython/rev/07523532039d
msg285757 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2017-01-18 21:18
So the changes to typing.py have been committed. Can someone commit the right doc patches?
msg286914 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-04 06:13
New changeset fe29826af634 by Berker Peksag in branch '3.5':
Issue #29198: Document typing.AsyncGenerator
https://hg.python.org/cpython/rev/fe29826af634

New changeset b475b076cc1f by Berker Peksag in branch '3.6':
Issue #29198: Merge from 3.5
https://hg.python.org/cpython/rev/b475b076cc1f

New changeset 2b55b18bf151 by Berker Peksag in branch 'default':
Issue #29198: Merge from 3.6
https://hg.python.org/cpython/rev/2b55b18bf151
msg286915 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-04 06:30
New changeset d7eb9526c4f4 by Berker Peksag in branch '3.5':
Issue #29198: Fix indentation and markup in typing.rst
https://hg.python.org/cpython/rev/d7eb9526c4f4

New changeset f49b6c35d1e3 by Berker Peksag in branch '3.6':
Issue #29198: Merge from 3.5
https://hg.python.org/cpython/rev/f49b6c35d1e3

New changeset 8a898cfd089a by Berker Peksag in branch 'default':
Issue #29198: Merge from 3.6
https://hg.python.org/cpython/rev/8a898cfd089a
msg286916 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-04 06:30
Thanks for the patches, Jelle :)
msg286917 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-04 07:00
New changeset 7fd9559c9c97fcf0519ace33b9d76a81ae156523 by Berker Peksag in branch 'master':
Issue #29198: Document typing.AsyncGenerator
https://github.com/python/cpython/commit/7fd9559c9c97fcf0519ace33b9d76a81ae156523

New changeset 34c0c17d5774524dae63d9e2e693ad4b97386bbe by Berker Peksag in branch 'master':
Issue #29198: Merge from 3.5
https://github.com/python/cpython/commit/34c0c17d5774524dae63d9e2e693ad4b97386bbe

New changeset b6d785d86dbf4ea9b90da57f11da4fff1bb36c9d by Berker Peksag in branch 'master':
Issue #29198: Merge from 3.6
https://github.com/python/cpython/commit/b6d785d86dbf4ea9b90da57f11da4fff1bb36c9d

New changeset 2c6ff7794c1b1af545d8ff17f54acef41cab089e by Berker Peksag in branch 'master':
Issue #29198: Fix indentation and markup in typing.rst
https://github.com/python/cpython/commit/2c6ff7794c1b1af545d8ff17f54acef41cab089e

New changeset 9ea15544818e9186277efda1ce9da3a5e48ff1c7 by Berker Peksag in branch 'master':
Issue #29198: Merge from 3.5
https://github.com/python/cpython/commit/9ea15544818e9186277efda1ce9da3a5e48ff1c7

New changeset bab4b9b5a4c16298b17a77cf2aec43320f296717 by Berker Peksag in branch 'master':
Issue #29198: Merge from 3.6
https://github.com/python/cpython/commit/bab4b9b5a4c16298b17a77cf2aec43320f296717
msg286919 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-04 07:00
New changeset 7fd9559c9c97fcf0519ace33b9d76a81ae156523 by Berker Peksag in branch '3.6':
Issue #29198: Document typing.AsyncGenerator
https://github.com/python/cpython/commit/7fd9559c9c97fcf0519ace33b9d76a81ae156523

New changeset 34c0c17d5774524dae63d9e2e693ad4b97386bbe by Berker Peksag in branch '3.6':
Issue #29198: Merge from 3.5
https://github.com/python/cpython/commit/34c0c17d5774524dae63d9e2e693ad4b97386bbe

New changeset 2c6ff7794c1b1af545d8ff17f54acef41cab089e by Berker Peksag in branch '3.6':
Issue #29198: Fix indentation and markup in typing.rst
https://github.com/python/cpython/commit/2c6ff7794c1b1af545d8ff17f54acef41cab089e

New changeset 9ea15544818e9186277efda1ce9da3a5e48ff1c7 by Berker Peksag in branch '3.6':
Issue #29198: Merge from 3.5
https://github.com/python/cpython/commit/9ea15544818e9186277efda1ce9da3a5e48ff1c7
msg286920 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-04 07:00
New changeset 7fd9559c9c97fcf0519ace33b9d76a81ae156523 by Berker Peksag in branch '3.5':
Issue #29198: Document typing.AsyncGenerator
https://github.com/python/cpython/commit/7fd9559c9c97fcf0519ace33b9d76a81ae156523

New changeset 2c6ff7794c1b1af545d8ff17f54acef41cab089e by Berker Peksag in branch '3.5':
Issue #29198: Fix indentation and markup in typing.rst
https://github.com/python/cpython/commit/2c6ff7794c1b1af545d8ff17f54acef41cab089e
History
Date User Action Args
2017-02-04 07:00:38python-devsetmessages: + msg286920
2017-02-04 07:00:36python-devsetmessages: + msg286919
2017-02-04 07:00:33python-devsetmessages: + msg286917
2017-02-04 06:30:47berker.peksagsetstatus: open -> closed

type: enhancement
versions: + Python 3.5
nosy: + berker.peksag

messages: + msg286916
resolution: fixed
stage: resolved
2017-02-04 06:30:02python-devsetmessages: + msg286915
2017-02-04 06:13:58python-devsetmessages: + msg286914
2017-01-18 21:18:08gvanrossumsetmessages: + msg285757
2017-01-18 21:11:44python-devsetnosy: + python-dev
messages: + msg285754
2017-01-09 00:12:30Jelle Zijlstrasetfiles: + typingindentation.patch
2017-01-09 00:12:10Jelle Zijlstrasetfiles: + asyncgenerator3.patch
2017-01-08 01:34:39Jelle Zijlstrasetfiles: + asyncgenerator2.patch
2017-01-07 21:45:23levkivskyisetnosy: + levkivskyi
2017-01-07 21:37:41Jelle Zijlstracreate